> ## Documentation Index
> Fetch the complete documentation index at: https://docs.frankieone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Organization Requests

> Show status of all previous operation requests on the organization.



## OpenAPI

````yaml /specs/fc-kyb-facade-bundled_generated.yaml get /v2/organizations/{entityId}/requests
openapi: 3.0.3
info:
  title: KYB Facade API
  version: '2.0'
  description: >-
    This is the MVP for Phase 1 APIs for V2 KYB. Currently in development,
    changes to the structure can occur
  contact:
    name: FrankieOne
    url: https://www.frankieone.com
    email: help@frankieone.com
servers:
  - url: https://api.kycaml.frankiefinancial.io
    description: Production API Base URL
  - url: https://api.kycaml.uat.frankiefinancial.io
    description: UAT Environment API Base URL
security:
  - Api-Key: []
tags:
  - name: Organizations
    description: Api calls related to Organizations
  - name: Reports
    description: All Frankie reports
  - name: Hosted URL
    description: Api calls related to Hosted URL
paths:
  /v2/organizations/{entityId}/requests:
    parameters:
      - $ref: '#/components/parameters/entityId'
      - $ref: '#/components/parameters/requestType'
      - $ref: '#/components/parameters/requestStatus'
      - $ref: '#/components/parameters/requestedAfter'
    get:
      tags:
        - Organizations
      summary: Organization Requests
      description: Show status of all previous operation requests on the organization.
      operationId: organizationRequests
      parameters:
        - $ref: '#/components/parameters/Api-Key'
        - $ref: '#/components/parameters/X-Frankie-CustomerID'
        - $ref: '#/components/parameters/X-Frankie-CustomerChildID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organizations-Requests-Response'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service Unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    entityId:
      name: entityId
      in: path
      schema:
        type: string
      description: Unique FrankieOne identifier for an entity
      required: true
    requestType:
      name: requestType
      in: query
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Organization-Request-Type'
      required: false
    requestStatus:
      name: status
      in: query
      schema:
        type: array
        items:
          $ref: '#/components/schemas/Organization-Request-Status'
      description: List of statuses to filter the requests upon
      required: false
    requestedAfter:
      name: requestedAfter
      in: query
      schema:
        type: string
        format: date-time
      description: >-
        Filter on the createdAt field, results returned are based on being after
        the value
      example: '2024-02-29T02:15:04Z'
    Api-Key:
      name: api_key
      in: header
      schema:
        type: string
        example: 245c765b124a098d09ef8765....
      description: Your API key provided by FrankieOne
      required: true
    X-Frankie-CustomerID:
      name: X-Frankie-CustomerID
      in: header
      required: true
      schema:
        type: string
        example: 12345678-1234-1234-1234-123456789012
      description: Your Customer ID provided by FrankieOne
    X-Frankie-CustomerChildID:
      name: X-Frankie-CustomerChildID
      in: header
      required: false
      schema:
        type: string
        example: 87654321-4321-4321-4321-210987654321
      description: Your Customer Child ID provided by FrankieOne
  schemas:
    Organizations-Requests-Response:
      type: object
      properties:
        entityId:
          $ref: '#/components/schemas/Entity-ID'
        requests:
          $ref: '#/components/schemas/Organization-Request-Map'
        requestId:
          $ref: '#/components/schemas/Request-ID'
    Error:
      type: object
      x-examples:
        '400':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0400
          errorMsg: Parsing credentials from "<invalid>" failed, because invalid.
          httpStatusCode: 400
        '401':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0401
          errorMsg: Unauthenticated due to invalid credentials.
          httpStatusCode: 401
        '409':
          requestId: 0123456789ABCDEFGHIJKLMNOP
          errorCode: API-0409
          errorMsg: Conflict.
          httpStatusCode: 409
      allOf:
        - $ref: '#/components/schemas/Error-Base'
        - type: object
          properties:
            requestId:
              $ref: '#/components/schemas/Request-ID'
    Organization-Request-Type:
      description: The type of request
      type: string
      enum:
        - OWNERSHIP
        - OWNERSHIP_REPORT
        - PROFILE
        - PROFILE_REPORT
        - REGISTRY_DOCUMENT
        - TRUST_DOCUMENT_ANALYSIS
    Organization-Request-Status:
      description: >-
        The current state of the request. Simplified enum so machines can rely
        on these to make decisions.
      type: string
      enum:
        - PROCESSING
        - FAILED
        - COMPLETE
    Entity-ID:
      type: string
      description: >-
        Entities are assigned a FrankieOne auto-generated UUID to ensure global
        uniqueness, represented as entityId. The entityId allows for precise
        modification when required.

        To modify an entity, set the entityId of the entity you wish to update
        in an update request.
      example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
      readOnly: true
      x-oapi-codegen-extra-tags:
        audit: keep
    Organization-Request-Map:
      type: object
      description: >-
        A map of requestTypes to request details. RequestType can be one of
        reports, ownership
      additionalProperties:
        type: array
        description: List of report generation requests for this entity
        items:
          $ref: '#/components/schemas/Organization-Request'
    Request-ID:
      type: string
      example: 01HN9XHZN6MGXM9JXG50K59Q85
      description: The unique request identifier for the API call made.
    Error-Base:
      type: object
      properties:
        errorCode:
          type: string
        errorMsg:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/Issue'
    Organization-Request:
      type: object
      description: Details of an asynchronous request made for this entity
      properties:
        requestId:
          description: >-
            requestId is returned as part of the response of the api call that
            triggers this request.
          type: string
        requestType:
          $ref: '#/components/schemas/Organization-Request-Type'
        status:
          $ref: '#/components/schemas/Organization-Request-Status'
        statusDescription:
          description: A human readable explanation of the current status of the request.
          type: string
        responseUrl:
          description: >-
            A url fragment indicating where the response can be fetched from
            once the operation is complete
          type: string
        requestedAt:
          description: DateTime when the request was requested
          type: string
          format: date-time
        updatedAt:
          description: DateTime when the request status was last updated
          type: string
          format: date-time
        nextUpdateAt:
          description: >-
            DateTime for expected time to update the request status. On long
            lived events, we may throttle poll rates to ease pressure off
            external systems.
          type: string
          format: date-time
        errors:
          description: >-
            If the request has failed, this will surface any processing errors
            discovered.
          type: array
          items:
            $ref: '#/components/schemas/Error-Base'
    Issue:
      type: object
      properties:
        issue:
          type: string
          description: Description of the issue.
        issueLocation:
          type: string
          description: The location or context where the issue was identified.
        issueType:
          type: string
          description: The type or category of the issue.
  securitySchemes:
    Api-Key:
      type: apiKey
      in: header
      name: api_key
      description: ''

````